//  convert.h
// created 4/25/05 JH

#if !defined(FDG_CONVERT__INCLUDED_)
#define FDG_CONVERT__INCLUDED_

#ifdef MAC_BUILD
    short ShortSwap( short s );
    int   LongSwap( int i );
#else
    inline short ShortSwap( short s ) { return s; }
    inline int   LongSwap( int i )    { return i; }
#endif

void Conv32to24bitStereo( long  cnt, char* dest, long* src);
void Conv32to24bitMono( long  cnt, char* dest, long* src   );
void Conv32to24bitMonoSum( long  cnt, char* dest, long* src   );
void Conv32to24bitDualMono( long  cnt, char* destL, char* destR, long* src   );

void Conv32to16bitStereo(long  cnt,  short* dest, long* src  );
void Conv32to16bitMono(long  cnt, short* dest, long* src  );
void Conv32to16bitMonoSum(long  cnt, short* dest, long* src  );
void Conv32to16bitDualMono(long  cnt, short* destL, short* destR, long* src  );

void Conv24Stereoto32bit( long  cnt, long* dest, char* src   );
void Conv24Monoto32bit( long  cnt, long* dest, char* src   );
void Conv24DualMonoto32bit( long  cnt, long* dest, char* srcL, char* srcR  );

void Conv16Stereoto32bit( long  cnt, long* dest, short* src );
void Conv16Monoto32bit( long  cnt, long* dest, short* src );
void Conv16DualMonoto32bit( long  cnt, long* dest, short* srcL, short* srcR );


void FadeBuffer(long samples, long stride, long* buffer, const DWORD* coefs);

#endif // !defined(FDG_CONVERT__INCLUDED_)
